require "matthewcli/version"
require 'matthewcli'
require 'thor'
require 'u2fhost'

module Matthewcli
  class Error < StandardError; end
  class CLI < Thor
    desc "register [CHALLENGE] [ORIGIN]", "Register the Yubikey"
    def register_key(challenge, origin)
      register_response = U2fhost::register(challenge, origin)
      puts register_response
    end
    desc "sign [CHALLENGE] [ORIGIN]", "Sign with the Yubikey"
    def sign_key(challenge, origin)
      sign_response = U2fhost::sign(challenge, origin)
      puts sign_response
    end
  end
end
